/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @Title: WxappMessageTemplateType
 * @Package cn.freemud.enums
 * @Description:
 * @author: liming.guo
 * @date: 2018/8/14 15:38
 * @version V1.0
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
package cn.freemud.enums;

public enum WxappMessageTemplateType {

    PAY_SUCCESS(1, "下单成功通知"),
    PAY_SUCCESS_RESERVE(2, "下单成功通知(预约点餐)");

    private Integer parentId;

    private String templateType;

    WxappMessageTemplateType(Integer parentId, String templateType) {
        this.parentId = parentId;
        this.templateType = templateType;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }
}
